Home

# Class goog.ui.AutoComplete.Remote

Factory class for building a remote autocomplete widget that autocompletes an inputbox or text area from a data array provided via ajax.

extends goog.ui.AutoComplete

Instance Method Summary
| `getInputHandler() ⇒ ?goog.ui.AutoComplete.InputHandler` Gets the attached InputHandler object.
| `setContent(string content)` Set the post data for the matcher.
| `setHeaders((Object|goog.structs.Map|null) headers)` Set the HTTP headers for the matcher.
| `setMethod(string method)` Set the send method ("GET", "POST") for the matcher.
| `setTimeoutInterval(number interval)` Set the timeout interval for the matcher.
| `setUseStandardHighlighting(boolean useStandardHighlighting)` Set whether or not standard highlighting should be used when rendering rows.